﻿@model IEnumerable<eCommerce.Services.Model.OcaShipmentOrigin>
@{
    ViewBag.Title = "Origenes OCA";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Listado de Origines OCA</h1>
    <div class="page-header-actions">

        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/OcaShipmentOrigin/OriginUpdate/-1'">
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVO ORIGEN</span>
            </button>
        </div>

    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            @Html.Partial("_OriginList", Model)
        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">

        function fDeleteDialog(originId)
        {
            swal({
                title: "Confirma su acción de Eliminar?",
                text: "",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#F26A54',
                confirmButtonText: 'Sí, deseo elminarlo!',
                cancelButtonText: 'Cancelar',
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm)
            {
                if (isConfirm) {
                    fDelete(originId);
                }
            });
        }

        function fDelete(Id)
        {
            $.ajax({
                url: "/OcaShipmentOrigin/OriginDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    swal("Eliminado!", "", "success");
                }
            });
        }

    </script>

}

